Package twisted :: Package web :: Module server

[show private | hide private]
[frames | no frames]

## Module twisted.web.server

This is a web-sever which integrates with the twisted.internet infrastructure.

Classes
`Request` |
`Session` | A user's session with a system.
`Site` |
`_RemoteProducerWrapper` |

Exceptions
`UnsupportedMethod` | Raised by a resource when faced with a strange request method.

Variable Summary
`int` | `NOT_DONE_YET`
`SelectReactor` | `reactor`
`tuple` | `supportedMethods`
`string` | `version`

Variable Details

### NOT_DONE_YET

  Type:
    `int`
  Value:

        1

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### supportedMethods

  Type:
    `tuple`
  Value:

        ('GET', 'HEAD', 'POST')

### version

  Type:
    `string`
  Value:

        'TwistedWeb/1.0.3'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:28 2003 | http://epydoc.sf.net